from langchain_community.embeddings import SentenceTransformerEmbeddings

HUGGING_FACE_EMBEDDING_MODEL = "all-MiniLM-L6-v2"
DEFAULT_EMBEDDING_MODEL = SentenceTransformerEmbeddings(model_name=HUGGING_FACE_EMBEDDING_MODEL)
DEFAULT_MEMORY_RETRIEVAL_CAPACITY = 3  # number of memories
DEFAULT_WORKING_MEMORY_TOKEN_CAPACITY = 1000
DEFAULT_CHAT_HISTORY_LENGTH = 4
DEFAULT_CONTEXT_WINDOW_CAPACITY = 1

DEFAULT_OPENAI_CHAT_MODEL_NAME = "gpt-3.5-turbo"
OPENAI_GPT4_MODEL_NAME = "gpt-4"
CLAUDE_3_OPUS_MODEL_NAME = "claude-3-opus-20240229"

DEFAULT_LLM_TEMPERATURE = 0.5
DEFAULT_LLM_TOP_P = 0.5
MAX_LLM_TOKENS = 2000
